<div class="container">
    <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 class="panel-title">
              Products
            </h3>
        </div>
        <div class="panel-body">
            <div ng-if="productCtrl.isLoading">
                <i class="fa fa-spinner fa-pulse"></i>
            </div>
            <div ng-if="!productCtrl.isLoading">
                <div class="col-xs-12 mt10" ng-if="productCtrl.errorMsg">
                    <div uib-alert ng-class="'alert-danger'" class="margin5">{{productCtrl.errorMsg}}</div>
                </div>
                <div ng-if="!productCtrl.errorMsg">
                    <div ng-if="productCtrl.products.length" class="custom-table">
                        <div class="row table-header">
                            <div class="col-sm-8">Name</div>
                            <div class="col-sm-4">Price</div>
                        </div>
                        <div ng-repeat="product in productCtrl.products" class="row custom-table-row">
                            <div class="col-sm-8">{{product.name}}</div>
                            <div class="col-sm-4">{{product.price| currency:"$"}}</div>
                        </div>
                    </div>
                    <div ng-if="!productCtrl.products.length">
                        No product found
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>